Package org.github.jamm.utils

# Class ByteBufferMeasurementUtils

java.lang.Object
org.github.jamm.utils.ByteBufferMeasurementUtils

public final class ByteBufferMeasurementUtils extends Object
Utility methods for `ByteBuffers` measurements.

## Method Summary

Modifier and Type
Method
Description
`static int`
`underlyingCapacity(ByteBuffer buffer, FieldAccessor accessor)`
Retrieves the underlying capacity of the specified buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### underlyingCapacity

public static int underlyingCapacity(ByteBuffer buffer, FieldAccessor accessor)
Retrieves the underlying capacity of the specified buffer.

Parameters:
  `buffer` - the buffer
  `accessor` - the field accessor for this java version
Returns:
  the underlying capacity of the specified buffer.